> ## Documentation Index
> Fetch the complete documentation index at: https://learn.servitly.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create new spare-part-reference
> Creates a new spare-part-reference, i.e. the link between a spare-part definition and a product-model or one of its parts.
The reference declares how many occurrences of the spare-part are used (quantity), the optional group it belongs to and its technicalSchemePosition, and it is what makes the spare-part visible and orderable for that product.
Required permissions: READ_PRODUCT_MODEL, READ_SPARE_PART, WRITE_SPARE_PART.
## OpenAPI
````json POST /inventory/productModelSparePartDefinitionReferences
{
"openapi": "3.1.0",
"info": {
"title": "Servitly DPS API",
"version": "1.0.0"
},
"servers": [
{
"url": "https://api.servitly-sandbox.com",
"description": "[AWS SANDBOX]"
},
{
"url": "https://api.servitly.com",
"description": "[AWS PRODUCTION Ireland]"
},
{
"url": "https://api-ap.servitly.com",
"description": "[AWS Hong Kong]"
},
{
"url": "https://azapi.servitly-dev.com",
"description": "[AZURE DEV Frankfurt]"
},
{
"url": "https://azapi.servitly-staging.com",
"description": "[AZURE STAGING Frankfurt]"
},
{
"url": "https://azapi.servitly.com",
"description": "[AZURE PRODUCTION Frankfurt]"
}
],
"security": [
{
"bearerAuth": []
}
],
"tags": [
{
"name": "ACTIONS"
},
{
"name": "ALERTS"
},
{
"name": "API GATEWAY"
},
{
"name": "AUTHENTICATION"
},
{
"name": "AUTHORIZATIONS"
},
{
"name": "CUSTOMERS"
},
{
"name": "DATA IMPORT / EXPORT"
},
{
"name": "EVENTS"
},
{
"name": "LOCATIONS"
},
{
"name": "MAINTENANCE"
},
{
"name": "MAPPING"
},
{
"name": "METRIC DATA"
},
{
"name": "MOBILE APP"
},
{
"name": "ORGANIZATION"
},
{
"name": "PARTNERS"
},
{
"name": "PRODUCT MODELS"
},
{
"name": "SPARE PARTS"
},
{
"name": "STATISTICS"
},
{
"name": "STORE ORDERS"
},
{
"name": "SUBSCRIPTIONS"
},
{
"name": "SUBSCRIPTIONS (OLD)"
},
{
"name": "THING CONTROL"
},
{
"name": "THING DEFINITIONS"
},
{
"name": "THING MANAGEMENT"
},
{
"name": "THINGS"
},
{
"name": "TICKETS"
},
{
"name": "USER TYPES"
},
{
"name": "USERS"
},
{
"name": "WORK SESSIONS"
}
],
"paths": {
"/inventory/productModelSparePartDefinitionReferences": {
"post": {
"summary": "Create new spare-part-reference",
"description": "Creates a new spare-part-reference, i.e. the link between a spare-part definition and a product-model or one of its parts.
The reference declares how many occurrences of the spare-part are used (quantity), the optional group it belongs to and its technicalSchemePosition, and it is what makes the spare-part visible and orderable for that product.
Required permissions: READ_PRODUCT_MODEL, READ_SPARE_PART, WRITE_SPARE_PART.",
"tags": [
"PRODUCT MODELS"
],
"parameters": [
{
"$ref": "#/components/parameters/tenantNameHeader"
}
],
"requestBody": {
"description": "The details of the spare-part-reference being created.",
"required": "true",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SparePartReference"
}
}
}
},
"responses": {
"201": {
"description": "Successful creation.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SparePartReference"
}
}
}
},
"400": {
"$ref": "#/components/responses/BadRequest"
},
"401": {
"$ref": "#/components/responses/NotAuthenticated"
},
"403": {
"$ref": "#/components/responses/NotAuthorized"
},
"429": {
"$ref": "#/components/responses/ApiLimit"
},
"500": {
"$ref": "#/components/responses/IntError"
}
}
}
}
},
"components": {
"parameters": {
"tenantNameHeader": {
"in": "header",
"name": "X-Servitly-Tenant",
"required": "true",
"schema": {
"type": "string",
"example": "{{tenantName}}"
},
"description": "The name of the tenant (e.g. acme)."
}
},
"schemas": {
"SparePartReference": {
"type": "object",
"required": [
"productModelId",
"sparePartDefinitionId"
],
"properties": {
"id": {
"type": "string",
"description": "The spare-part object identifier.",
"readOnly": "true"
},
"sparePartDefinitionId": {
"type": "string",
"description": "The id of the referenced spare-part definition."
},
"productModelId": {
"type": "string",
"description": "The id of the product-model from which the spare-part is referenced."
},
"productModelPartId": {
"type": "string",
"description": "The optional id of the product-model-part from which the spare-part is referenced."
},
"group": {
"type": "string",
"description": "The optional group associated with the reference."
},
"quantity": {
"type": "integer",
"description": "The occurrences of the spare-part in this reference (default 1)."
},
"technicalSchemePosition": {
"type": "string",
"description": "The position identifier within the scheme of the parent element (product model or model part)."
}
}
}
},
"responses": {
"BadRequest": {
"description": "Request data not valid.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Bad request"
}
}
}
}
}
},
"NotAuthenticated": {
"description": "User not authenticated.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authenticated"
}
}
}
}
}
},
"NotAuthorized": {
"description": "User not authorized.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authorized"
}
}
}
}
}
},
"ApiLimit": {
"description": "API call rate limit exceeded.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "API call rate limit exceeded"
}
}
}
}
}
},
"IntError": {
"description": "Internal server error.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Internal Server Error"
}
}
}
}
}
}
},
"securitySchemes": {
"bearerAuth": {
"type": "http",
"scheme": "bearer"
}
}
}
}
````